Loading...
Searching...
No Matches
quaternion.hpp File Reference

Functions for back-and-forth transformation between rotation matrices and quaternion-parameters. More...

`#include <stdlib.h>`
`#include <opengv/types.hpp>`

Go to the source code of this file.

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::math
| The namespace of the math tools.

## Functions

rotation_t | opengv::math::quaternion2rot (const quaternion_t &quaternion)
| Compute a rotation matrix from quaternion-parameters. Assumes that the quaternion has unit norm.
quaternion_t | opengv::math::rot2quaternion (const rotation_t &R)
| Compute the quaternion-parameters of a rotation matrix.

## Detailed Description

Functions for back-and-forth transformation between rotation matrices and quaternion-parameters.